Bug 848858 - dhclient-script: CONFIG variable passes wrong value to need_config
dhclient-script: CONFIG variable passes wrong value to need_config
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 11:41 EDT by Mr-4
Modified: 2012-10-16 02:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 02:08:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mr-4 2012-08-16 11:41:01 EDT
Description of problem:
dhclient-script:646 executes the following two statements:

CONFIG="ifcfg-${interface}"
need_config ${CONFIG}

network-functions:need_config() on the other hand, expects CONFIG to contain the interface, without the "ifcfg-" bit as so:

need_config ()
{
    local nconfig

    CONFIG="ifcfg-${1}"
[...]

Therefore, dhclient-script should be corrected to pass the correct value (${interface}), instead of "ifcfg-${interface}".

Version-Release number of selected component (if applicable):
dhclient 4.2, FC17

How reproducible:
Always

Steps to Reproduce:
1. Self-evident from dhclient-script sources supplied with the above package and standard ifup/ifdown network scripts in /etc/sysconfig/network-scripts
2.
3.
  
Actual results:
See above

Expected results:
dhclient-script to contain the following 2 statements:

CONFIG="${interface}"
need_config ${CONFIG}

as this is what network-functions:need_config() is expecting.

Additional info:
Comment 1 Jiri Popelka 2012-08-16 12:20:25 EDT
You are right, thanks.
Comment 2 Tomáš Hozza 2012-08-20 11:09:40 EDT
This bug has been fixed in dhcp-4.2.4-10.P1.fc17. You can find it here http://koji.fedoraproject.org/koji/buildinfo?buildID=349307 or wait for next dhcp update.
Comment 3 Fedora Update System 2012-09-13 11:25:26 EDT
dhcp-4.2.4-15.P2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dhcp-4.2.4-15.P2.fc18
Comment 4 Fedora Update System 2012-09-13 11:31:57 EDT
dhcp-4.2.4-13.P2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-4.2.4-13.P2.fc17
Comment 5 Fedora Update System 2012-09-17 19:13:15 EDT
dhcp-4.2.4-15.P2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-09-26 04:53:08 EDT
dhcp-4.2.4-13.P2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.